package com.consultingwerk.plugins.smartunitlaunchconfig.ui.views.SmartUnitView;

import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.ide.IDE;

import com.consultingwerk.plugins.common.utilities.ConsoleHelper;
import com.consultingwerk.plugins.common.utilities.FileHelper;
import com.consultingwerk.plugins.smartunitlaunchconfig.SmartUnitAttributes;

public class SmartUnitViewLauncher 
{
    /**
     * Launches the SmartUnitView for the given file
     * @param filename
     */
    public static void openFile (String filename)
    {
        try 
        {
            IEditorPart editor;
            
            editor = IDE.openEditor (PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage(), 
                                     FileHelper.getFile(filename), 
                                     SmartUnitAttributes.SmartUnitViewID);
            ((SmartUnitView) editor).openFile(filename);
            editor.setFocus();
        } 
        catch (Exception e) 
        {
            ConsoleHelper.printException (e);
        }
    }
}
